<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alerts</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">AlertsCapabilityAgent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a7bc64ab1cd53261fa0e2580fa25a7d5c">addObserver</a>(std::shared_ptr&lt; AlertObserverInterface &gt; observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a0141d9d834ebc600e75117d5fc791202">buildJsonEventString</a>(const std::string &amp;eventName, const std::string &amp;dialogRequestIdString=&quot;&quot;, const std::string &amp;payload=&quot;{}&quot;, const std::string &amp;context=&quot;&quot;)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a8d272b5ad0063344ed45c80945417283">cancelDirective</a>(std::shared_ptr&lt; DirectiveInfo &gt; info) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a3840603cf5c461f2e13b61cbab0e3e90">alexaClientSDK::avsCommon::avs::CapabilityAgent::cancelDirective</a>(const std::string &amp;messageId) override final</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a7254a7c71bc99bdeab87ae9a2c7dc5c8">CapabilityAgent</a>(const std::string &amp;nameSpace, std::shared_ptr&lt; sdkInterfaces::ExceptionEncounteredSenderInterface &gt; exceptionEncounteredSender)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">ChangedReason</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a9b9ac84c64214653bed09c8307a2f142">clearData</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a62f2a0b16f24b07512d3a800264eeeb5">create</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageSenderInterface &gt; messageSender, std::shared_ptr&lt; avsCommon::sdkInterfaces::AVSConnectionManagerInterface &gt; connectionManager, std::shared_ptr&lt; certifiedSender::CertifiedSender &gt; certifiedMessageSender, std::shared_ptr&lt; avsCommon::sdkInterfaces::FocusManagerInterface &gt; focusManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerManagerInterface &gt; speakerManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::ContextManagerInterface &gt; contextManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface &gt; exceptionEncounteredSender, std::shared_ptr&lt; storage::AlertStorageInterface &gt; alertStorage, std::shared_ptr&lt; avsCommon::sdkInterfaces::audio::AlertsAudioFactoryInterface &gt; alertsAudioFactory, std::shared_ptr&lt; renderer::RendererInterface &gt; alertRenderer, std::shared_ptr&lt; registrationManager::CustomerDataManager &gt; dataManager)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a19f623357462b3e1a0b2f9c55743198b">createDirectiveInfo</a>(std::shared_ptr&lt; AVSDirective &gt; directive, std::unique_ptr&lt; sdkInterfaces::DirectiveHandlerResultInterface &gt; result)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html#a2246fb7b5773b2d9643e880bde58acf9">CustomerDataHandler</a>(std::shared_ptr&lt; CustomerDataManager &gt; customerDataManager)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">alexaClientSDK::registrationManager::CustomerDataHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a5c98fab119fc0b67d172c420da6b1491">getCapabilityConfigurations</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a371c535e0e1838573bdba6fcf6a4a396">getConfiguration</a>() const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a786cb30a1037d42b0431571fe5c46466">handleDirective</a>(std::shared_ptr&lt; DirectiveInfo &gt; info) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a971352c6a79f7cb000e5e632648bceb3">alexaClientSDK::avsCommon::avs::CapabilityAgent::handleDirective</a>(const std::string &amp;messageId) override final</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a06fe5fc1439941a0da721898eed37d44">handleDirectiveImmediately</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a517f1f6ceeba26da9dd071b9ad3dc390">alexaClientSDK::avsCommon::avs::CapabilityAgent::handleDirectiveImmediately</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">isShutdown</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#ac15d9611ab7ae14824cdf5fc52d79dc5">m_exceptionEncounteredSender</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a44fd59779e935c0548b4ec2938ee364b">m_namespace</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a2e61f1420fcd3eb25d1e4411a91bbbea">onAlertStateChange</a>(const std::string &amp;token, const std::string &amp;alertType, AlertObserverInterface::State state, const std::string &amp;reason) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a2cc0be4c4408e978907570121ea214ac">onConnectionStatusChanged</a>(const Status status, const ChangedReason reason) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#aa2ad8b4b2bbcf6070e2b6e9e13785322">onContextAvailable</a>(const std::string &amp;jsonContext) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#ae8f0c021b6eca42f22d5e0afe33cffdc">onContextFailure</a>(const sdkInterfaces::ContextRequestError error) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a78985125587bc62f4118ff949b197b6d">onDeregistered</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a107eb9e4bea891e9dc5ff4fe7523861d">onFocusChanged</a>(avsCommon::avs::FocusState focusState) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a6f977d481ff6ac0fd494ee73de2caeed">onFocusChanged</a>(const std::string &amp;channelName, avsCommon::avs::FocusState newFocus) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a24e5a3a0db46902de1016797b01a3866">onLocalStop</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a48d566520bbbfcf4b1ade80ec18ef6a0">onSpeakerSettingsChanged</a>(const Source &amp;source, const avsCommon::sdkInterfaces::SpeakerInterface::Type &amp;type, const avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings &amp;settings) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a695225803da43c58e2943233ed0a450c">preHandleDirective</a>(std::shared_ptr&lt; DirectiveInfo &gt; info) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a6643447cdbecc1e49e14532b0cc83cf1">alexaClientSDK::avsCommon::avs::CapabilityAgent::preHandleDirective</a>(std::shared_ptr&lt; AVSDirective &gt; directive, std::unique_ptr&lt; sdkInterfaces::DirectiveHandlerResultInterface &gt; result) override final</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9bfec681151c104a12274fde87ff507d">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface::preHandleDirective</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::unique_ptr&lt; DirectiveHandlerResultInterface &gt; result)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#af056b26452e6c4ca5855a72ec2bfcde4">provideState</a>(const avsCommon::avs::NamespaceAndName &amp;stateProviderName, const unsigned int stateRequestToken) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a8e4653bb2070dee12722fb12861efa21">removeAllAlerts</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a8818d802b24e4b2a69ddeac9c659199f">removeDirective</a>(const std::string &amp;messageId)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#abb43665a8ad3ba4b921c8e84bcc48287">removeObserver</a>(std::shared_ptr&lt; AlertObserverInterface &gt; observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">RequiresShutdown</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a2c522e09b9b367e75cf7f09a548f7bfe">sendExceptionEncounteredAndReportFailed</a>(std::shared_ptr&lt; DirectiveInfo &gt; info, const std::string &amp;message, avsCommon::avs::ExceptionErrorType type=avsCommon::avs::ExceptionErrorType::INTERNAL_ERROR)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">Source</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">State</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#aee93aef91a98c0b7aacff47e9b84278d">stateToString</a>(State state)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">Status</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a18424e8c988cd58fd5849e883b2aca30">~AlertObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#ab6745fae4f7b144f64d34251c76d14f7">~CapabilityAgent</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html#ac5cec30da8c9039ec5eea44b82f018eb">~CapabilityConfigurationInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface.html#a451bc071c57df259d0a3c801926aba4b">~ChannelObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ChannelObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#adec117d33ac22d7509b1e01232529782">~ConnectionStatusObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html#a761877550e7024ecd44aea4ca306b877">~ContextRequesterInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ContextRequesterInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html#a067f8855e7ac0c05fc190b6b2e8e2d19">~CustomerDataHandler</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">alexaClientSDK::registrationManager::CustomerDataHandler</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a0aa03b6867e8b6e44b8c1b8df93c2d5c">~DirectiveHandlerInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_observer_interface.html#a477a7d988590a4d9f789d38f9aabf7d8">~FocusManagerObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::FocusManagerObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">~RequiresShutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#aedee3b459262e1ddec1378f23bd30a4d">~SpeakerManagerObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html#a005d5be73f5a0b6d3306e37fb324249f">~StateProviderInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::StateProviderInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
